# import DianaApi



# class SingleArmEnv(objects):
    # def __init__(self,
    #              robot=None,
    #              is_render=False,
    #              control_freq=200,
    #              is_interpolate=False):
    #     self.arm_real = self.robot.arm
    
class RealArmEnv(MujocoEnv):
    def __init__(self,
                 robot=None,
                 is_render=False,
                 renderer="viewer",
                 control_freq=200,
                 is_interpolate=False
                 ):
        super().__init__(
            robot=robot,
            is_render=is_render,
            renderer=renderer,
            control_freq=control_freq
        )
        self.single_arm_real  = self.robot.arm


    def actuate_J(self, q_target, qdot_target, Arm):
        '''
        DianaApi interfaces for  joints pos control
        '''
        pass

    def preStep(self, action):
        '''
        actions = jnt pos
        '''
        pass

    def reset(self):
        '''
        set init pos for real robot
        '''
        pass

    def step(self,action):
        pass


if __name__ == "__main__":
    try:
        from roboimi.assets.robots.diana_med import DianaMed

        env = RealArmEnv(
            robot=DianaMed(),
            control_freq=200,
            is_interpolate=True
        )
        env.reset()

    except KeyboardInterrupt:
       print("finish")